{% extends 'base.html.twig' %}

{% block stylesheets %}
  {{ parent() }}
  <link rel="stylesheet" href="{{asset('css/ristorantiStyle.css')}}" />
{% endblock %}

{% block content %}

  <div class="ui raised segment">
    <div class="ui breadcrumb" style="margin: 2%">
      <a href="{{path('homepage')}}"class="section">Home</a>
      <i class="right angle icon divider"></i>
      <a href="{{path('admin_ristoranti_lista')}}"class="section">Ristoranti</a>
      <i class="right angle icon divider"></i>
      <div class="active section">Prodotti</div>
    </div>
  </div>

  <h2 class="ui center aligned header fly" style="margin-top: 20px; margin-left: 20px; display: none">
    <i class="shopping basket icon"></i>
    <div class="content" style="font-size: 38px">
      <em><strong>Lista Prodotti</strong></em>
    </div>
  </h2>
  <div class="ui divider"></div>
  <h3 style="text-align: center">Questa è la lista dei prodotti necessari alla catena "Los Pollos Ermanos".</h3>

  <div class="ui top attached tabular menu" style="margin-top: 40px">
    <a class="active item" data-tab="Ingredienti">Ingredienti</a>
    <a class="item" data-tab="Cucina">Strumenti da cucina</a>
    <a class="item" data-tab="Servizio">Servizio</a>
  </div>
  <div class="ui bottom attached active tab segment" data-tab="Ingredienti">
    <table class="ui selectable celled table">
      <thead>
        <tr>
          <th>Nome</th>
          <th>Descrizione</th>
        </tr>
      </thead>
      <tbody>
        {% for prodotto in prodotti %}
          {% if prodotto.tipo == "Ingrediente" %}
          <tr>
            <td>{{prodotto.nome}}</td>
            <td>{{prodotto.descrizione}}</td>
          </tr>
          {% endif %}
        {% endfor %}
      </tbody>
    </table>
  </div>
  <div class="ui bottom attached tab segment" data-tab="Cucina">
    <table class="ui selectable celled table">
      <thead>
        <tr>
          <th>Nome</th>
          <th>Descrizione</th>
        </tr>
      </thead>
      <tbody>
        {% for prodotto in prodotti %}
          {% if prodotto.tipo == "Strumento da cucina" %}
          <tr>
            <td>{{prodotto.nome}}</td>
            <td>{{prodotto.descrizione}}</td>
          </tr>
          {% endif %}
        {% endfor %}
      </tbody>
    </table>
  </div>
  <div class="ui bottom attached tab segment" data-tab="Servizio">
    <table class="ui selectable celled table">
      <thead>
        <tr>
          <th>Nome</th>
          <th>Descrizione</th>
        </tr>
      </thead>
      <tbody>
        {% for prodotto in prodotti %}
          {% if prodotto.tipo == "Oggetto per il servizio" %}
          <tr>
            <td>{{prodotto.nome}}</td>
            <td>{{prodotto.descrizione}}</td>
          </tr>
          {% endif %}
        {% endfor %}
      </tbody>
    </table>
  </div>

  <a href="#">
    <div id="new-product-icon" class="action-icon ui icon button" data-position="left center" data-tooltip="Aggiungi prodotto" data-inverted="">
      <i class="add icon"></i>
    </div>
  </a>

  <div id="new-product-modal" class="ui long modal">
    <div class="header">Aggiungi un nuovo prodotto:</div>
    <div class="content" style="padding: 20px">
      <form id="new-prodotto-form" class="ui form" method="post">
        <div id="choice-account-type" class="grouped fields" style="margin-bottom: 30px" >
          <div class="ui toggle checkbox" style="margin-right: 50px">
            <input id="radio-ingrediente" value="Ingrediente" type="radio" name="tipo" required>
            <label>Ingrediente</label>
          </div>
          <div class="ui toggle checkbox" style="margin-right: 50px">
            <input id="radio-cucina" value="Strumento da cucina" type="radio" name="tipo" required>
            <label>Oggetto da cucina</label>
          </div>
          <div class="ui toggle checkbox">
            <input id="radio-servizio" value="Oggetto per il servizio" type="radio" name="tipo" required>
            <label>Oggetto del servizio</label>
          </div>
        </div>
        <div class="two fields">
          <div class="required field">
            <label>Nome</label>
            <input placeholder="Nome" type="text" name="nome" required="true">
          </div>
          <div class="field">
            <label>Descrizione</label>
            <textarea rows="2" name="descrizione" placeholder="Descrizione"></textarea>
          </div>
        </div>
        <div class="ui divider"></div>
        <span style="color: #DB2828; margin-right: 5px">*</span>Campo obbligatorio
        <button id="submit-button" style="margin: 0; display: inline; float:right" type="submit" class="submit-button ui right labeled icon positive button">
          <i class="checkmark icon"></i> Ok, ho finito!
        </button>
        <div style="margin-bottom: 10px; display: inline; float:right" class="actions">
          <div class="ui cancel button">
              Annulla
          </div>
        </div>
      </form>
    </div>
  </div>


  {% block javascripts %}

  {% endblock %}

{% endblock %}
